:: =================================================================================
::             ===== Huawei Ideos S7 patch - tri_zet ====
:: =================================================================================

title Huawei Ideos S7 G-sensor patch
@echo off
cls

SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION

SET TP=%~dp0
SET TP=%TP:~0,-1%
cd /d "%TP%"

chcp 437 >nul

::menu
:_menu
echo ===============================================================================
echo  Select patch
echo ===============================================================================
echo.
echo  1. Apply g-sensor patch only
echo.
echo  2. Apply all patch (g-sensor and SRS surround)
echo.
echo  X. Exit
echo.
echo ******************************************************************************
echo.
set /p _option=Enter your choice : 
echo.
if /i "%_option%" == "1" (
	set _patch=1
	goto :_start
	)
if /i "%_option%" == "2" (
	set _patch=2
	goto :_start
	)
if /i "%_option%" == "x" goto :_exit
goto :_menu

::get adb shell root
:_start
cls
echo ===============================================================================
echo  Getting ADB shell root
echo ===============================================================================
echo.
adb start-server
adb wait-for-device
adb push psneuter /data/local/
adb shell chmod 777 /data/local/psneuter
adb shell /data/local/psneuter
adb kill-server
adb start-server
adb wait-for-device

:mount system partition
echo.
adb shell mount -o rw,remount -t yaffs2 /dev/block/mtdblock2 /system

:_allpatch
if "%_patch%" == "2" (
adb push libsrswowhd.so /system/lib
adb push libaudioflinger.so /system/lib
adb push huawei.software.srs_trumedia.xml /system/etc/permissions
adb push huawei.software.huawei_usb_host.xml /system/etc/permissions
adb push libsurfaceflinger.so /system/lib

adb shell chmod 644 /system/lib/libsrswowhd.so
adb shell chmod 644 /system/lib/libaudioflinger.so
adb shell chmod 644 /system/etc/permissions/huawei.software.srs_trumedia.xml
adb shell chmod 644 /system/etc/permissions/huawei.software.huawei_usb_host.xml
adb shell chmod 644 /system/lib/libsurfaceflinger.so
)

:_gsensor
if "%_patch%" == "1" (
adb push libsurfaceflinger.so /system/lib
adb shell chmod 644 /system/lib/libsurfaceflinger.so
)

adb shell reboot
echo ===============================================================================
echo.
echo  Finish applying patch
echo  You tablet will reboot now
echo.
echo ===============================================================================
pause

:_exit
ENDLOCAL
exit

